
import java.util.Locale;
public class vector
{
public double V[];
//kurucu metodlar
public vector(double Vi[])
{ V=new double[Vi.length];
input_vector(Vi);
}

public vector(vector Vi) // bu kısma gerek var mı emin değilim??? bu kısımsız çalışıyor 22 1 12
{ V=new double[Vi.V.length];
input_vector(Vi.V);
}

public vector(int n)// bu kısımda tüm değerleri "0" a eşitlemek için, gerek var mı???
{ V=new double[n];
for(int i=0;i<n;i++)
{ V[i]=0.0;}
}

public void input_vector(double Vi[])
{ for(int i=0;i<V.length;i++)
{V[i]=Vi[i];}
}

public static vector add(vector V1,vector V2)//bu kısmı anlayamadım...19 1 12 hem vector hem add kısmı ne demek oluyor??
{
// hoca vektör sınıfı tipi dedi add metodu neticde int,double,String gibi tipi olmalı vector sınıfı tipi oluyor
int n=V1.V.length;//yani metdoun çıktısıda vektör olacakmış....bunu anladığımı tam olarak söyleyemeyeceğim 27 1 12
vector V3=new vector(n);
for(int i=0;i<n;i++)
{V3.V[i]=V1.V[i]+V2.V[i];}
return V3;
}

public static vector add(double[] V1,double[] V2)//burda vector bir tip mi oluyor????(aynen)
{
//
int n=V1.length;
vector M=new vector(n);
for(int i=0;i<n;i++)
{M.V[i]=V1[i]+V2[i];}
return M;
}

public void add(vector V1)
{
//
int n=V.length;
for(int i=0;i<n;i++)
{V[i]+=V1.V[i];}
}

public void add(double [] B)
{
//
int n=V.length;
for(int i=0;i<n;i++)
{V[i]+=B[i];}
}

public static String toString(vector M)
{ int n=M.V.length;
String s="";
for(int i=0;i<n;i++)
{s+=M.V[i]+" ";}
s+="\n";
return s;
}

public String toString()
{ Locale tr=new Locale("TR");
int n=V.length;
String s1="";
for(int i=0;i<n;i++)
{ s1+=String.format(tr," %10.5f",V[i]);}
s1+="\n";
return s1;
} //

}//

import javax.swing.*;
class vectortest {
public static void main(String args[] )
{ double A[]={1778888888888888888888888888888888.66666660,2.0,3.0,4.0};
double B[]={1.0,1.0,1.0,1.0};
vector M1=new vector(A);
vector M2=new vector(B);
M1.add(M2);
String s="summation of two vector : \n"+M1.toString();
String s1="class vector";
JOptionPane.showMessageDialog(null,s,s1,JOptionPane.PLAIN_MESSAGE);
} }